#!/usr/bin/env python3

import sys
from biobb_common.configuration import settings
from biobb_common.tools import file_utils
from biobb_io.api.pdb import pdb
from biobb_model.model.fix_side_chain import fix_side_chain

#### Input Vars ####

# Loading the workflow global log
global_log, _ = file_utils.get_logs()

# Loading the biobb configuration reader
conf = settings.ConfReader(sys.argv[1])

# Reading the inputs and properties from the separated YAML file
conf_properties = conf.get_prop_dic(global_log=global_log)
conf_inputs = conf.get_paths_dic()

#### Step 1 ####
pdb(**conf_inputs["step1_pdb"], properties=conf_properties["step1_pdb"])

#### Step 2 ####
fix_side_chain(**conf_inputs["step2_fixsidechain"], properties=conf_properties["step2_fixsidechain"])
